// Krogla.h: interface for the CKrogla class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_KROGLA_H__D650F731_5D7A_11D3_8193_B5E6F0B7AE66__INCLUDED_)
#define AFX_KROGLA_H__D650F731_5D7A_11D3_8193_B5E6F0B7AE66__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "stdafx.h"
#include "Vector.h"
#include "Ploskev.h"
#include <afxtempl.h>


class CKrogla  
{
public:
	CKrogla();
	CKrogla(double dRadij, CVector cvVector, double dFi, double dTheta, int iSteviloPoldnevnikov, int iSteviloVzporednikov, double dOddaljenostOdZaslona, UINT uiDelay);
	virtual ~CKrogla();

	void SetPoldnevniskaDelitev(int iSteviloPoldnevnikov);
	void SetVzporedniskaDelitev(int iSteviloVzporednikov);
	void SetRadij(double dRadij);
	void SetPremik(CVector cvVector);
	void SetdFi(double dFi);
	void SetdTheta(double dTheta);
	void SetOddaljenostOdZaslona(double dOddaljenostOdZaslona);

	double GetRadij();
	CVector GetPremik();
	double GetdFi();
	double GetdTheta();
	int GetPoldnevniskaDelitev();
	int GetVzporedniskaDelitev();
	double GetOddaljenostOdZaslona();


public:
	void RazdeliSe();
	void TransformirajSeNaEkran();
	void NarisiSe(CPaintDC* pDC);
	void NarisiSeSPoligoni(CPaintDC* pDC);
	void IzpisiSe();
	void SortX();
	void SortZ();
	void SortXBase();
	void SortZBase();

private:
	double m_dRadij;
	CVector m_cvPremik;
	double m_ddFi;
	double m_ddTheta;
	int m_iSteviloVzporednikov;
	int m_iSteviloPoldnevnikov;
	double m_dOddaljenostOdZaslona;
	UINT m_uiDelay;

	CArray <CPloskev, CPloskev> m_arPloskev; 
};

#endif // !defined(AFX_KROGLA_H__D650F731_5D7A_11D3_8193_B5E6F0B7AE66__INCLUDED_)
