// Vector.h: interface for the CVector class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_VECTOR_H__D650F72E_5D7A_11D3_8193_B5E6F0B7AE66__INCLUDED_)
#define AFX_VECTOR_H__D650F72E_5D7A_11D3_8193_B5E6F0B7AE66__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "stdafx.h"

class CVector  
{
	friend double operator*(const CVector &u, const CVector &v);
public:
	CVector();
	CVector(double x, double y,double z, double dOddaljenostOdZaslona);
	virtual ~CVector();

	void SetX(double x);
	void SetY(double y);
	void SetZ(double z);

	void SetXYZ(double x, double y, double z);

	void SetOddaljenostOdZaslona(double dOddaljenostOdZaslona);

	double GetOddaljenostOdZaslona();

	double GetX();
	double GetY();
	double GetZ();

	CPoint GetTransformedPoint();

	double GetNorm();

public :
	void TransformirajSe();

public :
//	CVector &operator =(const CVector &v);

private:
	double m_x;
	double m_y;
	double m_z;
	CPoint m_cpPoint;
	double m_dOddaljenostOdZaslona;
};

inline  double operator*(const CVector &u, const CVector &v)
{
	return (u.m_x*v.m_x + u.m_y*v.m_y + u.m_z*v.m_z);
}

#endif // !defined(AFX_VECTOR_H__D650F72E_5D7A_11D3_8193_B5E6F0B7AE66__INCLUDED_)
